For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTActivate the 401k integration for the legal entity
      • POSTClean up plan for a given legal entity
      • POSTCreate 401k plan for legal entity
      • GETGet 401k plans for legal entity
      • PUTUpdate 401k plan
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPlans401k

Update 401k plan

PUT
/benefits/legal-entities/:legal_entity_id/401k/plans/:plan_id
PUT
/rest/v2/benefits/legal-entities/:legal_entity_id/401k/plans/:plan_id
$curl -X PUT https://api.letsdeel.com/rest/v2/benefits/legal-entities/9585241d-2387-4d80-abea-cea4dde4807d/401k/plans/9585241d-2387-4d80-abea-cea4dde4807d \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "name": "401K Plan",
> "start_date": "2022-01-01",
> "contribution_type": "PERCENTAGE"
> }
>}'
1{
2 "data": {
3 "name": "401K Plan",
4 "start_date": "2024-12-01T00:00:00.000Z",
5 "contribution_type": "PERCENTAGE",
6 "id": "5faa596d-b915-46cb-88fc-96e9d4ad8ccb",
7 "details": {},
8 "end_date": "2022-12-01T00:00:00.000Z",
9 "contribution_limit": 10,
10 "contribution_value": 10,
11 "contribution_value_for_match_rate": [
12 {
13 "rate": 10,
14 "limit": 100
15 }
16 ]
17 }
18}

Replaces the full configuration of a 401k plan within the specified legal entity. As a PUT operation, the complete plan object must be supplied; any omitted fields will not be preserved. Token scopes: benefits:write

Was this page helpful?
Previous

List IT hardware policies

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

legal_entity_idstringRequired
Id from the legal entity to update a 401k plan
plan_idstringRequired
401K plan id

Request

This endpoint expects an object.
dataobjectRequired
Schema for the 401K Guideline Plan request body.

Response

Successful operation.
dataobject
Plan object for non PEO legal entity.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication